import os
from tcxreader.tcxreader import TCXReader
from unittest import TestCase


class TestTCXReader(TestCase):
    def setUp(self):
        filename = os.path.join(
            os.path.dirname(__file__),
            'test_data',
            '15.tcx'
        )
        self.tcx = TCXReader().read(filename)

    def test_distance(self):
        self.assertEqual(self.tcx.distance, 116366.98)

    def test_duration(self):
        self.assertEqual(self.tcx.duration, 17250.0)

    def test_calories(self):
        self.assertEqual(self.tcx.calories, 2010)

    def test_hr_avg(self):
        if self.tcx.hr_avg:
            self.assertEqual(int(self.tcx.hr_avg), 140)

    def test_hr_max(self):
        if self.tcx.hr_max:
            self.assertEqual(self.tcx.hr_max, 200)

    def test_hr_min(self):
        if self.tcx.hr_min:
            self.assertEqual(self.tcx.hr_min, 94)

    def altitude_avg(self):
        self.assertEqual(self.tcx.altitude_avg, None)

    def test_altitude_min(self):
        self.assertAlmostEqual(self.tcx.altitude_min, -5.4, places=1)

    def test_ascent(self):
        self.assertAlmostEqual(self.tcx.ascent, 1404.4, places=1)

    def test_descent(self):
        self.assertAlmostEqual(self.tcx.descent, 1422.0, places=1)
